%test_mod2RF2VSapp2.m
%Purpose: test both new rotated forward and computation of VS_app from
%rotated receiver functions.
format compact

%epicenter parameters
dist=65,
depth=30,

%What model
model=6,
%model.zs = [10]; model.VPs = [6,8];

%what time axis
ts=-5:0.05:400;

%what width of wavelet
Gaussian_factor=10; %2.5,

%what rotation; NaN means automatic from sample values at t=0
rot_ang = NaN;

%do illustrations?
plot_on=1

%compte unrotated receiver functions
[r_rf,up_rf,r,up,ts_nice,lump] =moddistdepth2RF( dist,depth,model,ts,Gaussian_factor,        plot_on);

%compute rotated receiver functions
[Q_rf, L_rf,Q,L ,ts_nice,lump2]=moddistdepth2RF2(dist,depth,model,ts,Gaussian_factor,rot_ang,plot_on);
rot_ang = lump2.rot_ang; %the angle actually used

%prepare variables for computation of apparent velocities
ts=ts_nice;
Delta=dist;
hypocenterdepth = depth;
Ts = 10.^(-0.5:0.025:3);
tpf=0.0; %ordinary cosine bell

%compute original apparent VS (Svenningsen & Jacobsen, 2007)
[VSapps,slowness]  =  RF2VSapp(r_rf,up_rf,ts,Delta,hypocenterdepth,Ts,tpf);

%compute VS_app(T) from rotated receiver functions (not published)
[VSapps2,slowness] = RF2VSapp2(Q_rf, L_rf,ts,Delta,hypocenterdepth,Ts,rot_ang,tpf);

%Show VS_app(T) for both methods. They are very much alike, as they should
figure; subplot(2,1,1)
semilogx(Ts,VSapps,'.-b')
hold on
semilogx(Ts,VSapps2,'.r')
for i=1:length(lump.VSs)
    plot(Ts,lump.VSs(i),'--r')
end
